org.encog.neural.art

## Class ART

- java.lang.Object
- - org.encog.ml.BasicML
  - - org.encog.neural.art.ART

- All Implemented Interfaces:
    Serializable, MLMethod, MLProperties
  Direct Known Subclasses:
    ART1

      public class ART
      extends BasicML

  Adaptive Resonance Theory (ART) is a form of neural network developed by Stephen Grossberg and Gail Carpenter. There are several versions of the ART neural network, which are numbered ART-1, ART-2 and ART-3. The ART neural network is trained using either a supervised or unsupervised learning algorithm, depending on the version of ART being used. ART neural networks are used for pattern recognition and prediction. Plasticity is an important part for all Adaptive Resonance Theory (ART) neural networks. Unlike most neural networks, ART networks do not have a distinct training and usage stage. The ART network will learn as it is used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_A1` Neural network property, the A1 parameter.
    `static String` | `PROPERTY_B1` Neural network property, the B1 parameter.
    `static String` | `PROPERTY_C1` Neural network property, the C1 parameter.
    `static String` | `PROPERTY_D1` Neural network property, the D1 parameter.
    `static String` | `PROPERTY_L` Neural network property, the L parameter.
    `static String` | `PROPERTY_NO_WINNER` Neural network property for no winner.
    `static String` | `PROPERTY_VIGILANCE` Neural network property, the vigilance parameter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ART()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateProperties()` Update any objeccts when a property changes.

    - ### Methods inherited from class org.encog.ml.BasicML

      `getProperties, getPropertyDouble, getPropertyLong, getPropertyString, setProperty, setProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_A1

          public static final String PROPERTY_A1

      Neural network property, the A1 parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_B1

          public static final String PROPERTY_B1

      Neural network property, the B1 parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_C1

          public static final String PROPERTY_C1

      Neural network property, the C1 parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_D1

          public static final String PROPERTY_D1

      Neural network property, the D1 parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_L

          public static final String PROPERTY_L

      Neural network property, the L parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_VIGILANCE

          public static final String PROPERTY_VIGILANCE

      Neural network property, the vigilance parameter.
      See Also:
        Constant Field Values

    - #### PROPERTY_NO_WINNER

          public static final String PROPERTY_NO_WINNER

      Neural network property for no winner.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ART

          public ART()

  - ### Method Detail

    - #### updateProperties

          public void updateProperties()

      Update any objeccts when a property changes.
      Specified by:
        `updateProperties` in interface `MLProperties`
      Specified by:
        `updateProperties` in class `BasicML`

Copyright © 2014. All Rights Reserved.